.wrapper{
    width: 78%;
    margin: auto;
    display: flex;
    justify-content: center;
    flex-flow: wrap row;
    align-items: flex-start;
    

    .card{
        transition: opacity 1s;
        width: 25%;
        margin: 1%;
        p{
            white-space: nowrap;
            overflow: hidden;
            text-overflow: ellipsis;
        }

    }
}

.cardimg{
    width: 60%;
    float: left;
    margin-top: 2%;
    height: 140px;
}
.eachbook{
    width: 15%;
    margin-right: 2%;
    margin-bottom: 2%;
}

.books{
    width: 90%;
    margin-top: 8%;
    margin-left: 5% !important;
}

.price{
    flex: 5;
    display: flex;
    flex-direction: row;
}

.bookname{
    text-align: right; 
    margin-right: 5%; 
    font-weight: bold; 
    color: darkgoldenrod; 
    height: 90px;
    text-overflow: ellipsis;
    overflow: hidden;
    font-size: 18px;
}

.bookauthor{
    text-align: right;
    margin-right: 5%;
    color: black;
    height: 40px;
    text-overflow: ellipsis;
    overflow: hidden;
}

.bookprice{
    margin-top: 10%;
    justify-content: center;
    color: #000000db;
    text-align: center;
    font: icon;
    font-weight: bold;
}